# {{ ansible_managed }}
server {
	listen 80;
	listen 443 ssl;
	server_name grafana.caliu.cat;


	if ($scheme = http) {
        	return 301 https://$server_name$request_uri;
    	}


	location ^~ /.well-known/acme-challenge/ {
        	root /var/www/murdock;
    	}


        location / {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
        proxy_set_header  X-Forwarded-Proto $scheme ;

        proxy_pass        http://localhost:3000;
        proxy_redirect    http://localhost:3000 https://grafana.caliu.cat:443 ;
    }

    ssl_certificate     /etc/ssl/certs/caliu.cat.chained.crt ;
    ssl_certificate_key /etc/ssl/private/caliu.cat.key ;
    include ssl.conf ;

	
}
